Skip to main content

List Custom Fields

GET 

/v2/settings/extensions/custom-apis/:custom-api-id/fields

Retrieves a list of Custom Fields

Filtering​

The following operators and attributes are available for filtering Custom Fields:

AttributeOperatorsExample
idlt,le,eq,gt,ge,ineq(id,859aeba1-03c2-4822-bd4c-89afce93d7eb)
created_atlt,le,eq,gt,gege(created_at,2024-04-29T00:00:00.000Z)
updated_atlt,le,eq,gt,gele(updated_at,2024-04-29T00:00:00.000Z)
descriptioneq,likelike(description,*confidential*)
field_typeeq,ineq(field_type,string)
nameeq,likeeq(name,"Last Name")
slugeq,like,inlike(slug,*private*)

Sorting​

The following attributes are available for sorting. When specified, the results are sorted in ascending order based on the value of the field. To sort in descending order, prefix the attribute with -, for example, -updated_at. The default sort order is created_at in descending order.

  • id
  • created_at
  • updated_at
  • field_type
  • name
  • slug

Request​

Responses​

List of Custom Fields

Ask External AI